libosmocoding 1.13.1.1-afb4 Osmocom GSM/GPRS/EGPRS L1 channel coding library

Files | Functions
Mapping

GSM TS 05.03 burst mapping. More...

## Files
file | gsm0503_mapping.h
file | gsm0503_mapping.c
| GSM TS 05.03 burst mapping.

## Functions
void | gsm0503_xcch_burst_unmap (sbit_t *iB, const sbit_t *eB, sbit_t *hl, sbit_t *hn)
void | gsm0503_xcch_burst_map (const ubit_t *iB, ubit_t *eB, const ubit_t *hl, const ubit_t *hn)
void | gsm0503_tch_burst_unmap (sbit_t *iB, const sbit_t *eB, sbit_t *h, int odd)
void | gsm0503_tch_burst_map (const ubit_t *iB, ubit_t *eB, const ubit_t *h, int odd)
void | gsm0503_mcs5_ul_burst_map (const ubit_t *di, ubit_t *eB, const ubit_t *hi, int B)
void | gsm0503_mcs5_ul_burst_unmap (sbit_t *di, const sbit_t *eB, sbit_t *hi, int B)
void | gsm0503_mcs7_ul_burst_map (const ubit_t *di, ubit_t *eB, const ubit_t *hi, int B)
void | gsm0503_mcs7_ul_burst_unmap (sbit_t *di, const sbit_t *eB, sbit_t *hi, int B)
void | gsm0503_mcs5_dl_burst_map (const ubit_t *di, ubit_t *eB, const ubit_t *hi, const ubit_t *up, int B)
void | gsm0503_mcs5_dl_burst_unmap (sbit_t *di, const sbit_t *eB, sbit_t *hi, sbit_t *up, int B)
void | gsm0503_mcs7_dl_burst_map (const ubit_t *di, ubit_t *eB, const ubit_t *hi, const ubit_t *up, int B)
void | gsm0503_mcs7_dl_burst_unmap (sbit_t *di, const sbit_t *eB, sbit_t *hi, sbit_t *up, int B)
void | gsm0503_mcs5_burst_swap (sbit_t *eB)

## Detailed Description

GSM TS 05.03 burst mapping.

This module contains burst mapping routines as specified in 3GPP TS 05.03 / 45.003.

## Function Documentation

## ◆ gsm0503_mcs5_burst_swap()

void gsm0503_mcs5_burst_swap | ( | sbit_t * | eB | ) |

Referenced by egprs_type1_map(), egprs_type1_unmap(), egprs_type2_map(), and egprs_type2_unmap().

## ◆ gsm0503_mcs5_dl_burst_map()

void gsm0503_mcs5_dl_burst_map | ( | const ubit_t * | di,
|  | ubit_t * | eB,
|  | const ubit_t * | hi,
|  | const ubit_t * | up,
|  | int | B
| ) |  |

References B.

Referenced by egprs_type2_map().

## ◆ gsm0503_mcs5_dl_burst_unmap()

void gsm0503_mcs5_dl_burst_unmap | ( | sbit_t * | di,
|  | const sbit_t * | eB,
|  | sbit_t * | hi,
|  | sbit_t * | up,
|  | int | B
| ) |  |

References B.

## ◆ gsm0503_mcs5_ul_burst_map()

void gsm0503_mcs5_ul_burst_map | ( | const ubit_t * | di,
|  | ubit_t * | eB,
|  | const ubit_t * | hi,
|  | int | B
| ) |  |

References B.

## ◆ gsm0503_mcs5_ul_burst_unmap()

void gsm0503_mcs5_ul_burst_unmap | ( | sbit_t * | di,
|  | const sbit_t * | eB,
|  | sbit_t * | hi,
|  | int | B
| ) |  |

References B.

Referenced by egprs_type2_unmap().

## ◆ gsm0503_mcs7_dl_burst_map()

void gsm0503_mcs7_dl_burst_map | ( | const ubit_t * | di,
|  | ubit_t * | eB,
|  | const ubit_t * | hi,
|  | const ubit_t * | up,
|  | int | B
| ) |  |

References B.

Referenced by egprs_type1_map().

## ◆ gsm0503_mcs7_dl_burst_unmap()

void gsm0503_mcs7_dl_burst_unmap | ( | sbit_t * | di,
|  | const sbit_t * | eB,
|  | sbit_t * | hi,
|  | sbit_t * | up,
|  | int | B
| ) |  |

References B.

## ◆ gsm0503_mcs7_ul_burst_map()

void gsm0503_mcs7_ul_burst_map | ( | const ubit_t * | di,
|  | ubit_t * | eB,
|  | const ubit_t * | hi,
|  | int | B
| ) |  |

References B.

## ◆ gsm0503_mcs7_ul_burst_unmap()

void gsm0503_mcs7_ul_burst_unmap | ( | sbit_t * | di,
|  | const sbit_t * | eB,
|  | sbit_t * | hi,
|  | int | B
| ) |  |

References B.

Referenced by egprs_type1_unmap().

## ◆ gsm0503_tch_burst_map()

void gsm0503_tch_burst_map | ( | const ubit_t * | iB,
|  | ubit_t * | eB,
|  | const ubit_t * | h,
|  | int | odd
| ) |  |

References h.

Referenced by gsm0503_tch_afs_encode(), gsm0503_tch_ahs_encode(), gsm0503_tch_fr24_encode(), gsm0503_tch_fr_encode(), gsm0503_tch_fr_facch_encode(), gsm0503_tch_hr_encode(), and gsm0503_tch_hr_facch_encode().

## ◆ gsm0503_tch_burst_unmap()

void gsm0503_tch_burst_unmap | ( | sbit_t * | iB,
|  | const sbit_t * | eB,
|  | sbit_t * | h,
|  | int | odd
| ) |  |

References h.

Referenced by gsm0503_tch_afs_decode_dtx(), gsm0503_tch_ahs_decode_dtx(), gsm0503_tch_fr24_decode(), gsm0503_tch_fr_decode(), gsm0503_tch_fr_facch_decode(), gsm0503_tch_hr_decode2(), and gsm0503_tch_hr_facch_decode().

## ◆ gsm0503_xcch_burst_map()

void gsm0503_xcch_burst_map | ( | const ubit_t * | iB,
|  | ubit_t * | eB,
|  | const ubit_t * | hl,
|  | const ubit_t * | hn
| ) |  |

Referenced by egprs_type3_map(), gsm0503_pdtch_encode(), and gsm0503_xcch_encode().

## ◆ gsm0503_xcch_burst_unmap()

void gsm0503_xcch_burst_unmap | ( | sbit_t * | iB,
|  | const sbit_t * | eB,
|  | sbit_t * | hl,
|  | sbit_t * | hn
| ) |  |

Referenced by egprs_type3_unmap(), gsm0503_pdtch_decode(), and gsm0503_xcch_decode().